Hub FAQ: Unterschied zwischen den Versionen

Wechseln zu: Navigation, Suche

Hinweis: Sie sind auf den Seiten der Moodle 2.4 Dokumentation. Die Dokumentation der aktuellsten Moodle-Version finden Sie hier: Hub FAQ.

(Die Seite wurde neu angelegt: „{{Hub}} {{Zum Übersetzen}} en:Hub FAQ“)
 
 
Zeile 1: Zeile 1:
 
{{Hub}}
 
{{Hub}}
  
{{Zum Übersetzen}}
+
Dieser Artikel gibt Antworten auf häufig gestellte Fragen aus dem [http://moodle.org/mod/forum/view.php?id=7330 Hub Server Forum] von moodle.org.
 +
 
 +
 
 +
 
 +
==Was ist ein Hub-Server?==
 +
Ein Hub-Server ist ein Moodle Plugin. Es transformiert eine neu installierte Moodle-Site in einen Hub-Server. Ein Hub-Server speichert Kurssicherungen von Kursen, die von beim Hub registrierten Moodle-Sites zum Herunterladen oder zum Einschreiben veröffentlicht wurden.
 +
 
 +
==Kann ich einen Hub-Server als normale Moodle-Site betreiben?==
 +
Aus Sicherheitsgründen wird das nicht empfohlen.
 +
 
 +
==Wird der Code des Hub-Server-Plugins vom Moodle Headquarter gepflegt?==
 +
 
 +
Ja.
 +
 
 +
==Muss ich den Code der Moodle-Installation aktualisieren, wenn ich das darauf installierte Hub-Server-Plugin aktualisiere?==
 +
 
 +
Ja, immer.
 +
 
 +
==Müssen die registrierten Moodle-Sites aktualisiert werden, wenn ich den Hub-Server aktualisiere?==
 +
Nein, die registrierten Moodle-Sites müssen nicht aktualisiert werden, weil das Hub-Server-Plugin rückwärtskompatibel ist. Manchmal erfordern neue Funktionalitäten jedoch Änderungen sowahl im Hub-Server-Code als auch im Moodle-Code. In diesem Fall können die neuen Funktionalitäten erst benutzt werden, wenn sowohl der Hub-Server als auch die registrierten Moodle-Sites aktualisiert sind.
 +
 
 +
==Wo kann ich das Hub-Server-Plugin herunterladen?==
 +
 
 +
Das Hub-Server-Plugin ist in der Datenbank http://moodle.org/plugins/view.php?plugin=local_hub zum Herunterladen verfügbar.
 +
 
 +
==Was ist MOOCH?==
 +
[http://hub.moodle.org/ MOOCH] ist der Moodle.org Hub-Server. Das ist ein öffentlicher Hub, der von moodle.org verwaltet und betrieben wird.
 +
 
 +
== Kann ich auf MOOCH Kurse verkaufen? ==
 +
Noch nicht, aber das ist geplant. Siehe MDL-25496 für detaillierte Informationen.
 +
 
 +
== Kann ich einen Kurs mit einem bestimmten Design veröffentlichen? ==
 +
Ja. Sie sollten jedoch in den Informationen zum Kurs angeben, dass das Kursdesign nur wirksam wird, wenn
 +
* das Design aktiviert ist und
 +
* Kursdesigns für die Moodle-Site aktiviert sind.
 +
 
 +
== Kann ich einen Kurs veröffentlichen, der ein Zusatzmodul (Aktivität/Block) verwendet? ==
 +
Ja. Wenn das Zusatzmodul mit Moodle 2 kompatibel ist (und [[:en:Development:Backup 2.0 for developers|icherung und Wiederherstellung in 2.0]] unterstützt), dann werden das Modul und alle zugehörigen Daten in die Kurssicherung einbezogen.
 +
 
 +
== Kann ich einen Kurs veröffentlichen, der ein lokales Zusatzmodul verwendet? ==
 +
Das lokale Plugin muss auf der Moodle-Site, die den Kurs nutzen will, installiert und konfiguriert sein. Geben Sie die nötigen Informationen bei der Veröffentlichung an.
 +
 
 +
== Kann ich Moodle 1.9 Kurse veröffentlichen? ==
 +
Das ist nicht direkt möglich. Sie können jedoch folgendes tun:
 +
# Sichern Sie den Kursin Moodle 1.9.
 +
# Stellen Sie den Kurs in Moodle 2.2 oder neuer wieder her.
 +
# Veröffentlichen Sie den Kurs.
 +
 
 +
==Ich erhalte eine Fehlermeldung, wenn ich versuche, einen Kurs zu veröffentlichen.==
 +
Am wahrscheinlichsten ist folgende Fehlermeldung:
 +
    "An error occurred during the course publication (Access control exception | DEBUG INFO: Invalid token - token not found). Please try again later."
 +
 
 +
Dann wird das Token gleichzeitig von mehreren Sites verwendet.
 +
 
 +
Löschen Sie die Registrierung Ihrer Moodle-Site und [[Moodle-Site registrieren|registrieren]] Sie sie erneut. Siehe MDL-32590 für mehr Informationen.
 +
 
 +
==Siehe auch==
 +
 
 +
* [http://moodle.org/mod/forum/view.php?id=7330 Hub servers forum] - Diskussionsforum im Kurs ''Using Moodle'' auf moodle.org
 +
* [[MOOCH FAQ]]
 +
 
 +
[[Category:FAQ]]
  
 
[[en:Hub FAQ]]
 
[[en:Hub FAQ]]

Aktuelle Version vom 12. Juni 2012, 16:23 Uhr


Dieser Artikel gibt Antworten auf häufig gestellte Fragen aus dem Hub Server Forum von moodle.org.


Was ist ein Hub-Server?

Ein Hub-Server ist ein Moodle Plugin. Es transformiert eine neu installierte Moodle-Site in einen Hub-Server. Ein Hub-Server speichert Kurssicherungen von Kursen, die von beim Hub registrierten Moodle-Sites zum Herunterladen oder zum Einschreiben veröffentlicht wurden.

Kann ich einen Hub-Server als normale Moodle-Site betreiben?

Aus Sicherheitsgründen wird das nicht empfohlen.

Wird der Code des Hub-Server-Plugins vom Moodle Headquarter gepflegt?

Ja.

Muss ich den Code der Moodle-Installation aktualisieren, wenn ich das darauf installierte Hub-Server-Plugin aktualisiere?

Ja, immer.

Müssen die registrierten Moodle-Sites aktualisiert werden, wenn ich den Hub-Server aktualisiere?

Nein, die registrierten Moodle-Sites müssen nicht aktualisiert werden, weil das Hub-Server-Plugin rückwärtskompatibel ist. Manchmal erfordern neue Funktionalitäten jedoch Änderungen sowahl im Hub-Server-Code als auch im Moodle-Code. In diesem Fall können die neuen Funktionalitäten erst benutzt werden, wenn sowohl der Hub-Server als auch die registrierten Moodle-Sites aktualisiert sind.

Wo kann ich das Hub-Server-Plugin herunterladen?

Das Hub-Server-Plugin ist in der Datenbank http://moodle.org/plugins/view.php?plugin=local_hub zum Herunterladen verfügbar.

Was ist MOOCH?

MOOCH ist der Moodle.org Hub-Server. Das ist ein öffentlicher Hub, der von moodle.org verwaltet und betrieben wird.

Kann ich auf MOOCH Kurse verkaufen?

Noch nicht, aber das ist geplant. Siehe MDL-25496 für detaillierte Informationen.

Kann ich einen Kurs mit einem bestimmten Design veröffentlichen?

Ja. Sie sollten jedoch in den Informationen zum Kurs angeben, dass das Kursdesign nur wirksam wird, wenn

  • das Design aktiviert ist und
  • Kursdesigns für die Moodle-Site aktiviert sind.

Kann ich einen Kurs veröffentlichen, der ein Zusatzmodul (Aktivität/Block) verwendet?

Ja. Wenn das Zusatzmodul mit Moodle 2 kompatibel ist (und icherung und Wiederherstellung in 2.0 unterstützt), dann werden das Modul und alle zugehörigen Daten in die Kurssicherung einbezogen.

Kann ich einen Kurs veröffentlichen, der ein lokales Zusatzmodul verwendet?

Das lokale Plugin muss auf der Moodle-Site, die den Kurs nutzen will, installiert und konfiguriert sein. Geben Sie die nötigen Informationen bei der Veröffentlichung an.

Kann ich Moodle 1.9 Kurse veröffentlichen?

Das ist nicht direkt möglich. Sie können jedoch folgendes tun:

  1. Sichern Sie den Kursin Moodle 1.9.
  2. Stellen Sie den Kurs in Moodle 2.2 oder neuer wieder her.
  3. Veröffentlichen Sie den Kurs.

Ich erhalte eine Fehlermeldung, wenn ich versuche, einen Kurs zu veröffentlichen.

Am wahrscheinlichsten ist folgende Fehlermeldung:

   "An error occurred during the course publication (Access control exception | DEBUG INFO: Invalid token - token not found). Please try again later." 

Dann wird das Token gleichzeitig von mehreren Sites verwendet.

Löschen Sie die Registrierung Ihrer Moodle-Site und registrieren Sie sie erneut. Siehe MDL-32590 für mehr Informationen.

Siehe auch